LayerItem (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.beans

## Class LayerItem

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.beans.LayerItem

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Cloneable

      public class LayerItem
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable, Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FLOAT_TYPE`
    `static long` | `ID_COUNTER`
    `static String` | `INT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerItem()`
    `LayerItem(boolean isExternal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayerItem` | `clone()`
    `boolean` | `containsProperty(Property property)`
    `boolean` | `containsProperty(String propertyName)`
    `boolean` | `containsProperty(String propertyName, String propertyType)`
    `List<Property>` | `getAllFloatProperties()`
    `List<String>` | `getAllFloatPropertyNames()`
    `int` | `getBuffer()`
    `String` | `getCqlFilter()`
    `String` | `getDataStore()`
    `String` | `getDefaultStyle()`
    `String` | `getFirstFloatPropertyName()`
    `String` | `getGeoserverUrl()`
    `String` | `getGeoserverWmsUrl()`
    `long` | `getId()`
    `String` | `getLayer()`
    `BoundsMap` | `getMaxExtent()`
    `String` | `getName()`
    `double` | `getOpacity()`
    `long` | `getOrder()`
    `List<Property>` | `getProperties()`
    `String` | `getStyle()`
    `ArrayList<String>` | `getStyles()`
    `String` | `getTitle()`
    `String` | `getUrl()`
    `boolean` | `isBaseLayer()`
    `boolean` | `isBorderLayer()`
    `boolean` | `isClickData()`
    `boolean` | `isCqlFilterAvailable()`
    `boolean` | `isExternal()`
    `boolean` | `isHasLegend()`
    `boolean` | `isOnMap()`
    `boolean` | `isTrasparent()`
    `boolean` | `isVisible()`
    `boolean` | `isWrapDateLine()`
    `void` | `setBaseLayer(boolean isBaseLayer)`
    `void` | `setBorderLayer(boolean isBorderLayer)`
    `void` | `setBuffer(int buffer)`
    `void` | `setClickData(boolean clickData)`
    `void` | `setCqlFilter(String cqlFilter)`
    `void` | `setCqlFilterAvailable(boolean cqlFilterAvailable)`
    `void` | `setDataStore(String dataStore)`
    `void` | `setDefaultStyle(String defaultStyle)`
    `void` | `setExternal(boolean isExternal)`
    `void` | `setGeoserverUrl(String geoserverUrl)`
    `void` | `setGeoserverWmsUrl(String geoserverWmsUrl)`
    `void` | `setHasLegend(boolean hasLegend)`
    `void` | `setId(long id)`
    `void` | `setLayer(String layer)`
    `void` | `setMaxExtent(BoundsMap maxExtent)`
    `void` | `setMaxExtent(double lowerLeftX, double lowerLeftY, double upperRightX, double upperRightY, String crs)`
    `void` | `setName(String name)`
    `void` | `setOnMap(boolean isOnMap)`
    `void` | `setOpacity(double opacity)`
    `void` | `setOrder(long order)`
    `void` | `setProperties(List<Property> properties)`
    `void` | `setStyle(String style)`
    `void` | `setStyles(ArrayList<String> styles)`
    `void` | `setTitle(String title)`
    `void` | `setTrasparent(boolean isTrasparent)`
    `void` | `setUrl(String url)`
    `void` | `setVisible(boolean isVisible)`
    `void` | `setWrapDateLine(boolean wrapDateLine)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLOAT_TYPE

          public static final String FLOAT_TYPE

      See Also:
        Constant Field Values

    - #### INT_TYPE

          public static final String INT_TYPE

      See Also:
        Constant Field Values

    - #### ID_COUNTER

          public static long ID_COUNTER

  - ### Constructor Detail

    - #### LayerItem

          public LayerItem()

    - #### LayerItem

          public LayerItem(boolean isExternal)

  - ### Method Detail

    - #### isHasLegend

          public boolean isHasLegend()

    - #### setHasLegend

          public void setHasLegend(boolean hasLegend)

    - #### getMaxExtent

          public BoundsMap getMaxExtent()

    - #### setMaxExtent

          public void setMaxExtent(BoundsMap maxExtent)

    - #### setMaxExtent

          public void setMaxExtent(double lowerLeftX,
                          double lowerLeftY,
                          double upperRightX,
                          double upperRightY,
                          String crs)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getLayer

          public String getLayer()

    - #### setLayer

          public void setLayer(String layer)

    - #### getStyle

          public String getStyle()

    - #### setStyle

          public void setStyle(String style)

    - #### isTrasparent

          public boolean isTrasparent()

    - #### setTrasparent

          public void setTrasparent(boolean isTrasparent)

    - #### isBaseLayer

          public boolean isBaseLayer()

    - #### setBaseLayer

          public void setBaseLayer(boolean isBaseLayer)

    - #### isWrapDateLine

          public boolean isWrapDateLine()

    - #### setWrapDateLine

          public void setWrapDateLine(boolean wrapDateLine)

    - #### getBuffer

          public int getBuffer()

    - #### setBuffer

          public void setBuffer(int buffer)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean isVisible)

    - #### isOnMap

          public boolean isOnMap()

    - #### setOnMap

          public void setOnMap(boolean isOnMap)

    - #### isClickData

          public boolean isClickData()

    - #### setClickData

          public void setClickData(boolean clickData)

    - #### getDefaultStyle

          public String getDefaultStyle()

    - #### setDefaultStyle

          public void setDefaultStyle(String defaultStyle)

    - #### getStyles

          public ArrayList<String> getStyles()

    - #### setStyles

          public void setStyles(ArrayList<String> styles)

    - #### getOpacity

          public double getOpacity()

    - #### setOpacity

          public void setOpacity(double opacity)

    - #### clone

          public LayerItem clone()

      Overrides:
        `clone` in class `Object`

    - #### getProperties

          public List<Property> getProperties()

    - #### setProperties

          public void setProperties(List<Property> properties)

    - #### containsProperty

          public boolean containsProperty(String propertyName)

    - #### containsProperty

          public boolean containsProperty(String propertyName,
                                 String propertyType)

    - #### containsProperty

          public boolean containsProperty(Property property)

    - #### getAllFloatProperties

          public List<Property> getAllFloatProperties()

    - #### getAllFloatPropertyNames

          public List<String> getAllFloatPropertyNames()

    - #### getFirstFloatPropertyName

          public String getFirstFloatPropertyName()

    - #### setDataStore

          public void setDataStore(String dataStore)

    - #### getDataStore

          public String getDataStore()

    - #### setBorderLayer

          public void setBorderLayer(boolean isBorderLayer)

    - #### isBorderLayer

          public boolean isBorderLayer()

    - #### setGeoserverUrl

          public void setGeoserverUrl(String geoserverUrl)

    - #### getGeoserverUrl

          public String getGeoserverUrl()

    - #### setGeoserverWmsUrl

          public void setGeoserverWmsUrl(String geoserverWmsUrl)

    - #### getGeoserverWmsUrl

          public String getGeoserverWmsUrl()

    - #### setTitle

          public void setTitle(String title)

    - #### getTitle

          public String getTitle()

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### setOrder

          public void setOrder(long order)

    - #### getOrder

          public long getOrder()

    - #### getCqlFilter

          public String getCqlFilter()

    - #### setCqlFilter

          public void setCqlFilter(String cqlFilter)

    - #### isExternal

          public boolean isExternal()

      Returns:

    - #### setExternal

          public void setExternal(boolean isExternal)

      Parameters:
        `isExternal` - the isExternal to set

    - #### isCqlFilterAvailable

          public boolean isCqlFilterAvailable()

    - #### setCqlFilterAvailable

          public void setCqlFilterAvailable(boolean cqlFilterAvailable)

Copyright © 2014. All Rights Reserved.